SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001372SiT!inbound emailpublic2010-07-18 21:282012-12-19 20:42
Reportersancho78rus 
Assigned Topaulh 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.62 LTS 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001372: Holding queue email attachments dont work.
DescriptionSee http://sitracker.org/forum/viewtopic.php?f=4&t=1417107 [^] for details.
Steps To ReproduceWhen you try to download attachment - download.php downloads instead of attachment.
Additional InformationTry in opera and ie. Try on windows and linux server.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003336)
Tomse (developer)
2010-07-19 14:19

I've been able to reproduce the error, but using an ID that doesn't exist
i.e download.php?id=1000

the download page should come with a warning that the file cannot be found

for the case of sancho78rus I guess it's because the file is not located in the right folder and/or as the right name
User avatar (0003386)
paulh (administrator)
2010-08-28 14:00

as of r6630 I've added a check to see if the file or id exists before trying to open the file, can you retest?
User avatar (0004183)
ivan (administrator)
2011-08-06 19:59

Hi Sancho78rus, is this still a problem with SiT! 3.63 or 3.64 ?
User avatar (0004618)
paulh (administrator)
2012-12-19 19:56

I've been able to reproduce this in the latest SVN, within the links table the origcolref is set to 0 which download.php checks
User avatar (0004619)
paulh (administrator)
2012-12-19 20:42

This was caused by the trigger system calling the function incoming_email_update_id which did not exist, I've created such a function in git eeff53c and svn r7556

- Issue History
Date Modified Username Field Change
2010-07-18 21:28 sancho78rus New Issue
2010-07-19 14:19 Tomse Note Added: 0003336
2010-08-28 14:00 paulh Note Added: 0003386
2010-08-28 14:00 paulh Status new => feedback
2011-08-06 19:59 ivan Note Added: 0004183
2012-12-19 19:56 paulh Note Added: 0004618
2012-12-19 19:56 paulh Severity minor => crash
2012-12-19 19:56 paulh Status feedback => confirmed
2012-12-19 20:42 paulh Note Added: 0004619
2012-12-19 20:42 paulh Assigned To => paulh
2012-12-19 20:42 paulh Status confirmed => resolved
2012-12-19 20:42 paulh Resolution open => fixed
2012-12-19 20:42 paulh Fixed in Version => Current SVN
2012-12-19 20:42 paulh Target Version => 3.68


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker